StatsHub Docs
Endpoint referenceProps

/props/team-screener

PropsTeamScreener serves the endpoint.

GET
/api/v2/props/team-screener

PropsTeamScreener serves the endpoint.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/v2/props/team-screener" \  -H "Content-Type: application/json" \  -d '{    "eventIds": [      0.1    ],    "leagueIds": [      0.1    ],    "limit": 0,    "maxHitRateAllL10": 0,    "maxHitRateAllL15": 0,    "maxHitRateAllL5": 0,    "maxHitRateL10": 0,    "maxHitRateL15": 0,    "maxHitRateL5": 0,    "maxOdds": 0,    "maxOpponentHitRateAllL10": 0,    "maxOpponentHitRateAllL15": 0,    "maxOpponentHitRateAllL5": 0,    "maxOpponentHitRateL10": 0,    "maxOpponentHitRateL15": 0,    "maxOpponentHitRateL5": 0,    "minHitRateAllL10": 0,    "minHitRateAllL15": 0,    "minHitRateAllL5": 0,    "minHitRateL10": 0,    "minHitRateL15": 0,    "minHitRateL5": 0,    "minOdds": 0,    "minOpponentHitRateAllL10": 0,    "minOpponentHitRateAllL15": 0,    "minOpponentHitRateAllL5": 0,    "minOpponentHitRateL10": 0,    "minOpponentHitRateL15": 0,    "minOpponentHitRateL5": 0,    "oddsType": "string",    "offset": 0,    "selectedDates": [      "string"    ],    "sortColumn": "string",    "sortDirection": "string",    "statTypes": [      "string"    ],    "teamIds": [      0.1    ]  }'
{  "$schema": "https://example.com/schemas/PropsTeamScreenerGetOKBody.json",  "data": [    {      "bookmakers": "string",      "eventId": 0,      "eventTimestamp": 0,      "hitRateAllL10": 0,      "hitRateAllL15": 0,      "hitRateAllL5": 0,      "hitRateL10": 0,      "hitRateL15": 0,      "hitRateL5": 0,      "id": 0,      "leagueId": 0,      "leagueName": "string",      "line": "string",      "oddsType": "string",      "opponentHitRateAllL10": 0,      "opponentHitRateAllL15": 0,      "opponentHitRateAllL5": 0,      "opponentHitRateL10": 0,      "opponentHitRateL15": 0,      "opponentHitRateL5": 0,      "opponentTeamId": 0,      "opponentTeamName": "string",      "opponentTeamSlug": "string",      "statDisplay": "string",      "statType": "string",      "teamId": 0,      "teamName": "string",      "teamSlug": "string"    }  ],  "pagination": {    "property1": null,    "property2": null  }}